Subject: Re: bug#6863: 24.0.50; ld: duplicate symbol _QPRIMARY in nsselect.o and keyboard.o

From: Jan Djärv <[email-masked]>
Date: Mon, 16 Aug 2010 17:06:40 +0200

2010-08-16 16:22, Peter Dyballa skrev:
>
> Am 16.08.2010 um 10:10 schrieb Jan Djärv:
>
>> I checked in a fix.
>
> I'm not sure whether it's your fix – but compilation of the NS variant
> fails here:

It looks like you have conflict markers in the file.
What does bzr status say?

	Jan D.

>
> gcc-4.2 -I/sw/include -L/sw/lib -c -Demacs -DHAVE_CONFIG_H -I.
> -I/Users/pete/Quellen/Emacs_CVS/emacs-24/src -I/usr/X11/include -MMD -MF
> deps/nsselect.d -Wimplicit-function-declaration -Wold-style-definition
> -Wdeclaration-after-statement -Wno-pointer-sign -g -H -Wno-pointer-sign
> -pipe -fPIC -fno-common -mcpu=7450 -mtune=7450 -fast nsselect.m
> . ./config.h
> .. ./s/darwin.h
> .. ./m/macppc.h
> ................ [902 more C header files omitted]
> nsselect.m:40: error: expected identifier or ‘(’ before ‘<<’ token
> nsselect.m:42: error: expected identifier or ‘(’ before ‘==’ token
> nsselect.m:44: error: expected identifier or ‘(’ before ‘>>’ token
> nsselect.m: In function ‘symbol_to_nsstring’:
> nsselect.m:70: error: ‘QCLIPBOARD’ undeclared (first use in this function)
> nsselect.m:70: error: (Each undeclared identifier is reported only once
> nsselect.m:70: error: for each function it appears in.)
> nsselect.m:72: error: ‘QSECONDARY’ undeclared (first use in this function)
> nsselect.m:73: error: ‘QTEXT’ undeclared (first use in this function)
> nsselect.m: In function ‘ns_string_to_symbol’:
> nsselect.m:82: error: ‘QCLIPBOARD’ undeclared (first use in this function)
> nsselect.m:86: error: ‘QSECONDARY’ undeclared (first use in this function)
> nsselect.m:88: error: ‘QTEXT’ undeclared (first use in this function)
> nsselect.m:90: error: ‘QFILE_NAME’ undeclared (first use in this function)
> nsselect.m: In function ‘ns_handle_selection_request’:
> nsselect.m:267: error: ‘Vns_sent_selection_hooks’ undeclared (first use
> in this function)
> nsselect.m: In function ‘ns_string_from_pasteboard’:
> nsselect.m:357: warning: ‘cString’ is deprecated (declared at
> /System/Library/Frameworks/Foundation.framework/Headers/NSString.h:345)
> nsselect.m:362: warning: ‘lossyCString’ is deprecated (declared at
> /System/Library/Frameworks/Foundation.framework/Headers/NSString.h:346)
> nsselect.m: In function ‘Fx_selection_exists_p’:
> nsselect.m:453: error: ‘QSECONDARY’ undeclared (first use in this function)
> nsselect.m: In function ‘Fx_selection_owner_p’:
> nsselect.m:473: error: ‘QSECONDARY’ undeclared (first use in this function)
> nsselect.m: In function ‘syms_of_nsselect’:
> nsselect.m:559: error: expected expression before ‘<<’ token
> nsselect.m:560: error: ‘QCLIPBOARD’ undeclared (first use in this function)
> nsselect.m:562: error: expected expression before ‘==’ token
> nsselect.m:564: error: ‘QSECONDARY’ undeclared (first use in this function)
> nsselect.m:565: error: ‘QTEXT’ undeclared (first use in this function)
> nsselect.m:566: error: ‘QFILE_NAME’ undeclared (first use in this function)
> nsselect.m:582: error: ‘Vns_sent_selection_hooks’ undeclared (first use
> in this function)
> make[1]: *** [nsselect.o] Error 1
>
> --
> Greetings
>
> Pete
>
> Think of XML as Lisp for COBOL programmers.
> - Tony-A (some guy on /.)